/**
 * Almacena constantes, util si se quiere modificar la presentacion
 * o extender las capacidades del programa.
 * @author Carlos Cortes
 */

public class Defs
{
    /* Titulo de la Ventana */
    public static final String FRAME_TITLE = "Constructor de Circuitos";
    
    /* dimensiones de la ventana */
    public static final int FRAME_DEFAULT_WIDTH = 500;
    public static final int FRAME_DEFAULT_HEIGHT = 400;
    
    /* Identificadores de 'tipo' de componente */
    public static final String FUENTECC = "fuentecc";
    public static final String RESISTOR = "resistor";
    public static final String GND      = "gnd";
    
    /* Valores por defecto */
    public static final float FUENTECC_DEFAULT_VALUE = 10;
    public static final float RESISTOR_DEFAULT_VALUE = 1000;
    
    /* Mensajes de cuadro de dialogo */
    public static final String FUENTECC_MESSAGE_PROMPT = "Voltaje [Volt]";
    public static final String RESISTOR_MESSAGE_PROMPT = "Resistencia [ohm]";
    
    /* Posicion inicial de los componentes recien creados */
    public static final int DEFAULT_POSICION_X = 16;
    public static final int DEFAULT_POSICION_Y = 16;
    
    /* Identificadores de 'tipo' de accion */
    public static final String MOVER = "mover";
    public static final String ROTAR = "rotar";
    
    /* Que tan cerca (en pixeles) deben estar dos pines para conectarlos */
    public static final int CERCA = 8;
}
