/**
 * Representa una conexion de dos Componentes a traves un pin de cada uno.
 * @author Carlos Cortes
 */
public class Conexion
{
    private Componente comp1, comp2;
    private int pin1, pin2;
    
    /**
     * @param c1 Componente 1.
     * @param p1 Pin del componente 1.
     * @param c2 Componente 2.
     * @param p2 Pin del componente 2.
     */
    public Conexion(Componente c1, int p1, Componente c2, int p2)
    {
        comp1 = c1;
        pin1  = p1;
        comp2 = c2;
        pin2  = p2;
    }
}
